Loading...
Searching...
No Matches
FsUtil::PosixPathHandler Class Reference

path handler implementing POSIX specific functionality More...

Inheritance diagram for FsUtil::PosixPathHandler:
[legend]

## Public Member Functions

| constructor ()
| creates the object and sets the delimiter
Public Member Functions inherited from FsUtil::PathHandler

## Protected Member Functions

string | joinPathsIntern (list< string > paths)
| Returns the path resulting from joining the given paths.
Protected Member Functions inherited from FsUtil::PathHandler

## Additional Inherited Members

Public Attributes inherited from FsUtil::PathHandler
list< string > | delimiters
| path delimiters - to be set by platform specific path handlers

## Detailed Description

path handler implementing POSIX specific functionality

## Member Function Documentation

## joinPathsIntern()

string FsUtil::PosixPathHandler::joinPathsIntern | ( | list< string > | paths | ) |

protected

Returns the path resulting from joining the given paths.

Parameters

  paths | a list of paths to join

Returns
  all paths joined into one valid path (i.e. delimiters are added/removed as needed) except for cases when one of the paths (in the list) is an absolute path - in such cases that path is considered a new start of the resulting path. The resulting path is not normalized (i.e. "/path/to/../../file.txt" is a correct result of join("/path/to", "../../file.txt");). Since the second parameter is a softlist, this variant also works for joining two string paths.